Webhooks
Webhook Logs
View recent webhook delivery logs
GET
/
api
/
v1
/
webhooks
/
logs
Webhook Logs
curl --request GET \
--url https://api.example.com/api/v1/webhooks/logsimport requests
url = "https://api.example.com/api/v1/webhooks/logs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"event_type": "<string>",
"payload": {},
"response_status": 123,
"attempts": 123,
"created_at": "<string>"
}Webhook Logs
Returns recent webhook delivery attempts for debugging.Response
Array of log entries:number
Log entry ID
string
Event that triggered the webhook
object
The payload that was sent
number
HTTP status code from your server
number
Number of delivery attempts
string
Timestamp
Example
curl https://api.tronrental.com/v1/webhooks/logs \
-H "X-API-Key: your_api_key"
Response
[
{
"id": 1,
"event_type": "order.filled",
"payload": {
"order_id": 12345,
"address": "TAddress...",
"energy_amount": 65000
},
"response_status": 200,
"attempts": 1,
"created_at": "2026-03-05T12:00:00Z"
}
]
⌘I
Webhook Logs
